Skip to main content
GET
/
categories
List categories
curl --request GET \
  --url https://api.shoppex.io/dev/v1/categories \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "uniqid": "<string>",
      "shop_id": "<string>",
      "title": "<string>",
      "unlisted": true,
      "sort_order": 123,
      "products_bound": [
        {
          "uniqid": "<string>",
          "title": "<string>",
          "price": 123,
          "price_display": 123,
          "discount_percent": 123,
          "currency": "<string>",
          "unlisted": true,
          "image_id": "<string>",
          "description": "<string>",
          "quantity_min": 123,
          "quantity_max": 123,
          "quantity_warning": 123,
          "custom_fields": [
            "<unknown>"
          ],
          "type": "<string>",
          "shop_id": "<string>",
          "gateways": [
            "<string>"
          ],
          "crypto_confirmations": 123,
          "private": true,
          "stock": 123,
          "sort_priority": 123,
          "on_hold": true,
          "created_at": 123,
          "updated_at": 123
        }
      ],
      "products_count": 123,
      "groups_bound": [
        {
          "uniqid": "<string>",
          "title": "<string>",
          "created_at": 123,
          "updated_at": 123
        }
      ],
      "groups_count": 123,
      "created_at": 123,
      "updated_at": 123
    }
  ],
  "pagination": {
    "next_cursor": "<string>",
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

Use your API key with the Bearer scheme. Get your key from Dashboard → Settings → API Keys. Format: Authorization: Bearer shx_...

Query Parameters

cursor
string
limit
string

Response

Default Response

data
object[]
required
pagination
object
required